diff -rup hw-detect-1.98.orig/check-missing-firmware.sh hw-detect-1.98/check-missing-firmware.sh
--- hw-detect-1.98.orig/check-missing-firmware.sh	2012-06-15 07:56:09.000000000 +0200
+++ hw-detect-1.98/check-missing-firmware.sh	2013-11-24 09:51:07.809915475 +0100
@@ -246,6 +246,15 @@ check_for_firmware() {
 }
 
 while check_missing && ask_load_firmware; do
+	# If LOOPMOUNT is used, check the (busy) device from which the ISO is loaded
+	db_get cdrom-detect/cdrom_loopdev || true
+	if [ "$RET" ]; then
+		log "Check on /loop for firmware"
+		if [ -d /loop/firmware ]; then
+			check_for_firmware /loop/firmware/*.deb /loop/firmware/*.udeb
+		fi
+	fi
+
 	# first, check if needed firmware (u)debs are available on the
 	# PXE initrd or the installation CD.
 	if [ -d /firmware ]; then
